
Foreman - Bug #12981

Host API does not return all parameters for locations

01/04/2016 10:46 AM - Brad Buckingham

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1287223 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1287223

Note param's are empty:

# hammer location info --name AM

Id:                 4

Name:               AM

Users:

    jhammant

    pcornel1

Smart proxies:

    usl10149335.am.hedani.net

    usl10149336.am.hedani.net (ENG)

    usl10149338.am.hedani.net (AM, PRD)

    usl10149340.am.hedani.net

Subnets:

    Linux_Build_VLAN9 (10.128.8.128/25)

Compute resources:

    VCenter5

Installation media:

    Credit_Suisse/Library/Red_Hat_Server/Red_Hat_Enterprise_Linux_7_Server_Kickstart_x86_64_7_1

    ENG-RHEL6.5

    ENG-RHEL7.1

Templates:

    CSL Satellite Kickstart Default (provision)

Domains:

    am.hedani.net

Environments:

    KT_Credit_Suisse_ENG_CCV_CSL3_1_27020_17

    KT_Credit_Suisse_ENG_CCV_CSL_4_0_24813_12

    KT_Credit_Suisse_ENG_CV_Capsule_6_7_4

    KT_Credit_Suisse_ENG_CV_CSL_3_1_7

Hostgroups:

    ENG

    27020

    24813

    HG_Capsule

Parameters:

     =>

     =>

     =>

     =>

     =>

     =>

     =>

     =>

     =>
     =>

     =>

Organizations:

    Credit Suisse

Created at:         2015/06/25 21:47:32

Updated at:         2015/11/23 19:07:20

 and their hook script:

1. pwd

/usr/share/foreman/config/hooks/host/managed

2. cat after_update/test.sh

#/bin/bash

logger -t HOOK $1 and $2

cat /dev/stdin >> /tmp/HOOKIN

echo >> /tmp/HOOKIN

They've also provided a screen capture of the parameters section showing the data appearing.

I'll be attaching that momentarily.

Please let me know what other data from Credit Suisse you need to make forward progress or offer suggestions.

Document URL:

Section Number and Name:

Describe the issue:

Suggestions for improvement:

Additional information:

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

Related issues:

Is duplicate of Foreman - Bug #11763: Host API does not return all parameters... Closed 09/10/2015

History

#1 - 01/04/2016 10:49 AM - Dominic Cleal

- Is duplicate of Bug #11763: Host API does not return all parameters (e.g. from locations, et al.) added

#2 - 01/04/2016 10:49 AM - Dominic Cleal

- Status changed from New to Duplicate

Should already work in 1.10-stable.

#3 - 01/05/2016 04:46 PM - Bryan Kearney
- Subject changed from Host API does not return all parameters (e.g. from locations, et al.) to Host API does not return all parameters for locations

- Status changed from Duplicate to New

OPening this back up. Shlomi discussed this in the bug:

<SNIP>

Sorry for the late response.

It seems that this is another bug.

This bug resolves displaying all parameters for Host,

Whereas the bug you are presenting is that we are not displaying all parameters for Location

I believe this is worth opening a new bug (and we'll solve it faster than I respond to bugzillas :) )

</SNIP>

#4 - 01/06/2016 02:53 AM - Dominic Cleal

- Description updated

- Status changed from New to Need more information

- Priority changed from High to Normal

Please clarify then, since the bug title you set says "Host API" (as in GET /api/hosts/:id?) and the bug report shows using the foreman_hooks plugin

again with hosts - that would be fixed by the bug I referenced.  The description here doesn't show any bug with the host API.

Whereas the bug you are presenting is that we are not displaying all parameters for Location

 The bug desc also shows Hammer output of locations, but that's not related to hosts at all.  Are you reporting a bug against the hosts or the locations

API?

#5 - 02/17/2016 02:46 AM - Shimon Shtein

I have checked the "hammer location info" command against the development, and it seems to work fine: got the parameters back as expected. Didn't

check inheritance though...

#6 - 02/17/2016 03:02 AM - Dominic Cleal

- Status changed from Need more information to Resolved
